## com.sun.grizzly.util
Interface Interceptor<E>

    public interface Interceptor<E>

Simple interception hook used to trap events inside Grizzly core.

Author:
  Jeanfrancois Arcand

Field Summary
`static int` `BREAK` Do not continue the processing.
`static int` `CONTINUE` Continue the processing
`static int` `REQUEST_BUFFERED` The request has been buffered.
`static int` `REQUEST_LINE_PARSED` The request line has been parsed
`static int` `RESPONSE_PROCEEDED` The response has been proceeded.

Method Summary
`void` `attachChannel(SocketChannel socketChannel)` The SocketChannel associated with this handler.
`int` `handle(E e, int handlerCode)` Handle <E> and the associated handler code.

Field Detail

### CONTINUE

    static final int CONTINUE

  Continue the processing

  See Also:
    Constant Field Values

### BREAK

    static final int BREAK

  Do not continue the processing.

  See Also:
    Constant Field Values

### REQUEST_LINE_PARSED

    static final int REQUEST_LINE_PARSED

  The request line has been parsed

  See Also:
    Constant Field Values

### RESPONSE_PROCEEDED

    static final int RESPONSE_PROCEEDED

  The response has been proceeded.

  See Also:
    Constant Field Values

### REQUEST_BUFFERED

    static final int REQUEST_BUFFERED

  The request has been buffered.

  See Also:
    Constant Field Values

Method Detail

### handle

    int handle(E e,
               int handlerCode)
               throws IOException

  Handle <E> and the associated handler code.

  Parameters:
    `e` -
    `handlerCode` -
  Returns:
  Throws:
    `IOException`

### attachChannel

    void attachChannel(SocketChannel socketChannel)

  The SocketChannel associated with this handler.

  Parameters:
    `socketChannel` -

Copyright © 2008 SUN Microsystems. All Rights Reserved.